Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with Twitter
Powered by Vanilla. Made with Bootstrap.
Theme built by Kasper Kronborg Isager
Installation problems
  • After coping package feindura + demo site I get this error. I make configuration administration seems ok. This is mine server and error data.
    wamp server Windows 7
    Apache Version : 2.2.22
    PHP Version : 5.4.3
    MySQL Version : 5.5.24

    This is error generated first access:

    ( ! ) Strict standards: Declaration of TextElement::addChild() should be compatible with Element::addChild(Element $child) in C:\wamp\www\feinduraDemoSite\cms\library\thirdparty\ZenPHP\TextElement.php on line 22
    Call Stack
    #TimeMemoryFunctionLocation
    10.0104155768{main}( )..\index.php:0
    20.25371354664Feindura->createMenu( )..\index.php:102
    30.28221371560FeinduraBase->generateMenu( )..\Feindura.class.php:1777
    40.28231374016__autoload( )..\Feindura.class.php:932
    50.28741394496require_once( 'C:\wamp\www\feinduraDemoSite\cms\library\thirdparty\ZenPHP\ZenPHP.php' )..\general.include.php:51



    This is error generated after page reload:


    ( ! ) SCREAM: Error suppression ignored for
    ( ! ) Strict standards: Declaration of TextElement::addChild() should be compatible with Element::addChild(Element $child) in C:\wamp\www\feinduraDemoSite\cms\library\thirdparty\ZenPHP\TextElement.php on line 22
    Call Stack
    #TimeMemoryFunctionLocation
    10.0014156448{main}( )..\index.php:0
    20.09701355352Feindura->createMenu( )..\index.php:102
    30.10381371856FeinduraBase->generateMenu( )..\Feindura.class.php:1777
    40.10391374312__autoload( )..\Feindura.class.php:932
    50.10541394792require_once( 'C:\wamp\www\feinduraDemoSite\cms\library\thirdparty\ZenPHP\ZenPHP.php' )..\general.include.php:51



  • this error comes up, because you PHP installation is in strict mode. the erro even doesn't come from feindura. but from a thirdparty library i use, the "ZenPHP".
    You can just deactivate the strict mode in you server settings or in the PHP.ini.

    the error is just a warning